org.deidentifier.arx.gui.worker.io

## Class FileBuilder

- java.lang.Object
- - org.deidentifier.arx.gui.worker.io.FileBuilder

    public class FileBuilder
    extends java.lang.Object

Wraps a writer.

Author:
  Fabian Prasser, Florian Kohlmayer

### Constructor Summary

Constructors
Constructor and Description
`FileBuilder(java.io.OutputStreamWriter w)` Create a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`FileBuilder` `append(java.lang.String s)` Append a string.
`void` `flush()` Flush.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileBuilder

    public FileBuilder(java.io.OutputStreamWriter w)

Create a new instance.

Parameters:
  `w` -

### Method Detail

#### append

    public FileBuilder append(java.lang.String s)
                       throws java.io.IOException

Append a string.

Parameters:
  `s` -
Returns:
Throws:
  `java.io.IOException`

#### flush

    public void flush()
               throws java.io.IOException

Flush.

Throws:
  `java.io.IOException`